Index: /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/newstart.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/newstart.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/newstart.F	(revision 1647)
@@ -19,5 +19,4 @@
      &                              is_master
       use infotrac, only: infotrac_init, nqtot, tname
-      USE tracer_h, ONLY: igcm_co2_ice, igcm_h2o_vap, igcm_h2o_ice
       USE comsoil_h, ONLY: nsoilmx, layer, mlayer, inertiedat
       USE surfdat_h, ONLY: phisfi, albedodat,
@@ -28,5 +27,4 @@
       use phyredem, only: physdem0, physdem1
       use iostart, only: open_startphy
-      use slab_ice_h, only:noceanmx
       use filtreg_mod, only: inifilr
       USE mod_const_mpi, ONLY: COMM_LMDZ
@@ -95,5 +93,4 @@
       REAL tsurf(ngridmx)        ! surface temperature
       REAL,ALLOCATABLE :: tsoil(:,:) ! soil temperature
-!      REAL co2ice(ngridmx)        ! CO2 ice layer
       REAL emis(ngridmx)        ! surface emissivity
       real emisread             ! added by RW
@@ -109,11 +106,5 @@
       real mugaz ! molar mass of the atmosphere
 
-      integer ierr 
-
-      REAL rnat(ngridmx)
-      REAL,ALLOCATABLE :: tslab(:,:) ! slab ocean temperature
-      REAL pctsrf_sic(ngridmx) ! sea ice cover
-      REAL tsea_ice(ngridmx) ! temperature sea_ice
-      REAL sea_ice(ngridmx) ! mass of sea ice (kg/m2)
+      integer ierr
 
 c Variables on the new grid along scalar points 
@@ -153,5 +144,4 @@
       logical :: flagtset=.false. ,  flagps0=.false.
       real val, val2, val3, val4 ! to store temporary variables
-      real :: iceith=2000 ! thermal inertia of subterranean ice
 
       INTEGER :: itau
@@ -165,9 +155,4 @@
 !     added by BC for equilibrium temperature startup
       real teque
-
-!     added by BC for cloud fraction setup
-      REAL hice(ngridmx),cloudfrac(ngridmx,llm)
-      REAL totalfrac(ngridmx)
-
 
 !     added by RW for nuketharsis
@@ -209,5 +194,4 @@
       allocate(tsoil(ngridmx,nsoilmx))
       allocate(ith(iip1,jjp1,nsoilmx),ithfi(ngridmx,nsoilmx))
-      allocate(tslab(ngridmx,nsoilmx))
       
 c=======================================================================
@@ -355,7 +339,5 @@
         CALL phyetat0 (ngridmx,llm,fichnom,tab0,Lmodif,nsoilmx,
      .        nqtot,day_ini,time,
-     .        tsurf,tsoil,emis,q2,qsurf,   !) ! temporary modif by RDW
-     .        cloudfrac,totalfrac,hice,rnat,pctsrf_sic,tslab,tsea_ice,
-     .        sea_ice)
+     .        tsurf,tsoil,emis,q2,qsurf)
 
         ! copy albedo and soil thermal inertia on (local) physics grid
@@ -549,6 +531,5 @@
      &   date,tsurf,tsoil,emis,q2,
      &   t,ucov,vcov,ps,teta,phisold_newgrid,q,qsurf,
-     &   surfith,nid,
-     &   rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
+     &   surfith,nid)
         write(*,*) "OK, read start_archive file"
         ! copy soil thermal inertia
@@ -784,9 +765,4 @@
         else if (trim(modif).eq.'ptot') then
 
-          ! check if we have a co2_ice surface tracer:
-          if (igcm_co2_ice.eq.0) then
-            write(*,*) " No surface CO2 ice !"
-            write(*,*) " only atmospheric pressure will be considered!"
-          endif
 c         calcul de la pression totale glace + atm actuelle
           patm=0.
@@ -800,13 +776,9 @@
                 patm = patm + ps(i,j)*aire(i,j)
                 airetot= airetot + aire(i,j)
-                if (igcm_co2_ice.ne.0) then
-                  !pcap = pcap + aire(i,j)*co2ice(ig)*g
-                  pcap = pcap + aire(i,j)*qsurf(ig,igcm_co2_ice)*g
-                endif
              ENDDO
           ENDDO
           ptoto = pcap + patm
 
-          print*,'Current total pressure at surface (co2 ice + atm) ',
+          print*,'Current total pressure at surface (atm) ',
      &       ptoto/airetot
 
@@ -1048,36 +1020,15 @@
        else if (trim(modif) .eq. 'wetstart') then
         ! check that there is indeed a water vapor tracer
-        if (igcm_h2o_vap.eq.0) then
+
           write(*,*) "No water vapour tracer! Can't use this option"
           stop
-        endif
-          DO l=1,llm
-            DO j=1,jjp1
-              DO i=1,iip1
-                q(i,j,l,igcm_h2o_vap)=150.e-6 * (rlatu(j)+pi/2.) / pi
-              ENDDO
-            ENDDO
-          ENDDO
-
-         write(*,*) 'Water mass mixing ratio at north pole='
-     *               ,q(1,1,1,igcm_h2o_vap)
-         write(*,*) '---------------------------south pole='
-     *               ,q(1,jjp1,1,igcm_h2o_vap)
 
 c      noglacier : remove tropical water ice (to initialize high res sim)
 c      --------------------------------------------------
         else if (trim(modif) .eq. 'noglacier') then
-           if (igcm_h2o_ice.eq.0) then
+        
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-           do ig=1,ngridmx
-             j=(ig-2)/iim +2
-              if(ig.eq.1) j=1
-              write(*,*) 'OK: remove surface ice for |lat|<45'
-              if (abs(rlatu(j)*180./pi).lt.45.) then
-                   qsurf(ig,igcm_h2o_ice)=0.
-              end if
-           end do
+
 
 
@@ -1085,267 +1036,56 @@
 c      --------------------------------------------------
         else if (trim(modif) .eq. 'watercapn') then
-           if (igcm_h2o_ice.eq.0) then
+        
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-
-           DO j=1,jjp1        
-              DO i=1,iim
-                 ig=1+(j-2)*iim +i
-                 if(j.eq.1) ig=1
-                 if(j.eq.jjp1) ig=ngridmx
-
-                 if (rlatu(j)*180./pi.gt.80.) then
-                    qsurf(ig,igcm_h2o_ice)=3.4e3
-                    !do isoil=1,nsoilmx
-                    !   ith(i,j,isoil) = 18000. ! thermal inertia
-                    !enddo
-                   write(*,*)'     ==> Ice mesh North boundary (deg)= ',
-     &                   rlatv(j-1)*180./pi
-                 end if
-              ENDDO
-           ENDDO
-           CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-
-c$$$           do ig=1,ngridmx
-c$$$             j=(ig-2)/iim +2
-c$$$              if(ig.eq.1) j=1
-c$$$              if (rlatu(j)*180./pi.gt.80.) then
-c$$$
-c$$$                   qsurf(ig,igcm_h2o_ice)=1.e5
-c$$$                   qsurf(ig,igcm_h2o_vap)=0.0!1.e5
-c$$$
-c$$$                   write(*,*) 'ig=',ig,'    H2O ice mass (kg/m2)= ',
-c$$$     &              qsurf(ig,igcm_h2o_ice)
-c$$$
-c$$$                   write(*,*)'     ==> Ice mesh South boundary (deg)= ',
-c$$$     &              rlatv(j)*180./pi
-c$$$                end if
-c$$$           enddo
 
 c      watercaps : H20 ice on permanent southern cap
 c      -------------------------------------------------
         else if (trim(modif) .eq. 'watercaps') then
-           if (igcm_h2o_ice.eq.0) then
+
               write(*,*) "No water ice tracer! Can't use this option"
               stop
-           endif
-
-           DO j=1,jjp1        
-              DO i=1,iim
-                 ig=1+(j-2)*iim +i
-                 if(j.eq.1) ig=1
-                 if(j.eq.jjp1) ig=ngridmx
-
-                 if (rlatu(j)*180./pi.lt.-80.) then
-                    qsurf(ig,igcm_h2o_ice)=3.4e3
-                    !do isoil=1,nsoilmx
-                    !   ith(i,j,isoil) = 18000. ! thermal inertia
-                    !enddo
-                   write(*,*)'     ==> Ice mesh South boundary (deg)= ',
-     &                   rlatv(j-1)*180./pi
-                 end if
-              ENDDO
-           ENDDO
-           CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-
-c$$$           do ig=1,ngridmx
-c$$$               j=(ig-2)/iim +2
-c$$$               if(ig.eq.1) j=1
-c$$$               if (rlatu(j)*180./pi.lt.-80.) then
-c$$$                  qsurf(ig,igcm_h2o_ice)=1.e5
-c$$$                  qsurf(ig,igcm_h2o_vap)=0.0 !1.e5
-c$$$
-c$$$                  write(*,*) 'ig=',ig,'   H2O ice mass (kg/m2)= ',
-c$$$     &                 qsurf(ig,igcm_h2o_ice)
-c$$$                  write(*,*)'     ==> Ice mesh North boundary (deg)= ',
-c$$$     &                 rlatv(j-1)*180./pi
-c$$$               end if
-c$$$           enddo
-
 
 c       noacglac : H2O ice across highest terrain
 c       --------------------------------------------
         else if (trim(modif) .eq. 'noacglac') then
-           if (igcm_h2o_ice.eq.0) then
+
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-          DO j=1,jjp1        
-             DO i=1,iim
-                ig=1+(j-2)*iim +i
-                if(j.eq.1) ig=1
-                if(j.eq.jjp1) ig=ngridmx
-
-                if(phis(i,j).gt.1000.*g)then
-                    alb(i,j) = 0.5 ! snow value
-                    do isoil=1,nsoilmx
-                       ith(i,j,isoil) = 18000. ! thermal inertia
-                       ! this leads to rnat set to 'ocean' in physiq.F90
-                       ! actually no, because it is soil not surface
-                    enddo
-                endif
-             ENDDO
-          ENDDO
-          CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,alb,albfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,phis,phisfi)
-
-
 
 c       oborealis : H2O oceans across Vastitas Borealis
 c       -----------------------------------------------
         else if (trim(modif) .eq. 'oborealis') then
-           if (igcm_h2o_ice.eq.0) then
+
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-          DO j=1,jjp1        
-             DO i=1,iim
-                ig=1+(j-2)*iim +i
-                if(j.eq.1) ig=1
-                if(j.eq.jjp1) ig=ngridmx
-
-                if(phis(i,j).lt.-4000.*g)then
-!                if( (phis(i,j).lt.-4000.*g)
-!     &               .and. (rlatu(j)*180./pi.lt.0.) )then ! south hemisphere only
-!                    phis(i,j)=-8000.0*g ! proper ocean
-                    phis(i,j)=-4000.0*g ! scanty ocean
-
-                    alb(i,j) = 0.07 ! oceanic value
-                    do isoil=1,nsoilmx
-                       ith(i,j,isoil) = 18000. ! thermal inertia
-                       ! this leads to rnat set to 'ocean' in physiq.F90
-                       ! actually no, because it is soil not surface
-                    enddo
-                endif
-             ENDDO
-          ENDDO
-          CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,alb,albfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,phis,phisfi)
-
+             
 c       iborealis : H2O ice in Northern plains
 c       --------------------------------------
         else if (trim(modif) .eq. 'iborealis') then
-           if (igcm_h2o_ice.eq.0) then
+
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-          DO j=1,jjp1        
-             DO i=1,iim
-                ig=1+(j-2)*iim +i
-                if(j.eq.1) ig=1
-                if(j.eq.jjp1) ig=ngridmx
-
-                if(phis(i,j).lt.-4000.*g)then
-                   !qsurf(ig,igcm_h2o_ice)=1.e3
-                   qsurf(ig,igcm_h2o_ice)=241.4 ! to make total 33 kg m^-2
-                endif
-             ENDDO
-          ENDDO
-          CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,alb,albfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,phis,phisfi)
-
 
 c       oceanball : H2O liquid everywhere
 c       ----------------------------
         else if (trim(modif) .eq. 'oceanball') then
-           if (igcm_h2o_ice.eq.0) then
+
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-          DO j=1,jjp1        
-             DO i=1,iim
-                ig=1+(j-2)*iim +i
-                if(j.eq.1) ig=1
-                if(j.eq.jjp1) ig=ngridmx
-
-                qsurf(ig,igcm_h2o_vap)=0.0    ! for ocean, this is infinite source
-                qsurf(ig,igcm_h2o_ice)=0.0
-                alb(i,j) = 0.07 ! ocean value
-
-                do isoil=1,nsoilmx
-                   ith(i,j,isoil) = 18000. ! thermal inertia
-                   !ith(i,j,isoil) = 50. ! extremely low for test
-                   ! this leads to rnat set to 'ocean' in physiq.F90
-                enddo
-
-             ENDDO
-          ENDDO
-          CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,alb,albfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,phis,phisfi)
 
 c       iceball : H2O ice everywhere
 c       ----------------------------
         else if (trim(modif) .eq. 'iceball') then
-           if (igcm_h2o_ice.eq.0) then
+
              write(*,*) "No water ice tracer! Can't use this option"
              stop
-           endif
-          DO j=1,jjp1        
-             DO i=1,iim
-                ig=1+(j-2)*iim +i
-                if(j.eq.1) ig=1
-                if(j.eq.jjp1) ig=ngridmx
-
-                qsurf(ig,igcm_h2o_vap)=-50.    ! for ocean, this is infinite source
-                qsurf(ig,igcm_h2o_ice)=50.     ! == to 0.05 m of oceanic ice
-                alb(i,j) = 0.6 ! ice albedo value
-
-                do isoil=1,nsoilmx
-                   !ith(i,j,isoil) = 18000. ! thermal inertia
-                   ! this leads to rnat set to 'ocean' in physiq.F90
-                enddo
-
-             ENDDO
-          ENDDO
-          CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,alb,albfi)
 
 c       supercontinent : H2O ice everywhere
 c       ----------------------------
         else if (trim(modif) .eq. 'supercontinent') then
-          write(*,*) 'Minimum longitude (-180,180)'
-          read(*,*) val
-          write(*,*) 'Maximum longitude (-180,180)'
-          read(*,*) val2
-          write(*,*) 'Minimum latitude (-90,90)'
-          read(*,*) val3
-          write(*,*) 'Maximum latitude (-90,90)'
-          read(*,*) val4
-
-          do j=1,jjp1
-            do i=1,iip1
-              ig=1+(j-2)*iim +i
-              if(j.eq.1) ig=1
-              if(j.eq.jjp1) ig=ngridmx
-
-c             Supercontinent:
-              if (((rlatu(j)*180./pi.le.val4).and.
-     &            (rlatu(j)*180./pi.ge.val3).and.
-     &            (rlonv(i)*180./pi.le.val2).and.
-     &            (rlonv(i)*180./pi.ge.val))) then
-
-                rnat(ig)=1.
-                alb(i,j) = 0.3
-                do isoil=1,nsoilmx
-                  ith(i,j,isoil) = 2000.
-                enddo
-c             Ocean:
-              else
-                rnat(ig)=0.
-                alb(i,j) = 0.07
-                do isoil=1,nsoilmx
-                  ith(i,j,isoil) = 18000.
-                enddo
-              end if
-
-            enddo
-          enddo
-          CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-          CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,alb,albfi)
+ 
+             write(*,*) "No water ice tracer! Can't use this option"
+             stop
 
 c       isotherm : Isothermal temperatures and no winds
@@ -1445,14 +1185,6 @@
 c       ------------------------------------------------
         else if (trim(modif) .eq. 'co2ice=0') then
-         ! check that there is indeed a co2_ice tracer ...
-          if (igcm_co2_ice.ne.0) then
-           do ig=1,ngridmx
-              !co2ice(ig)=0
-              qsurf(ig,igcm_co2_ice)=0
-              emis(ig)=emis(ngridmx/2)
-           end do
-          else
             write(*,*) "Can't remove CO2 ice!! (no co2_ice tracer)"
-          endif
+        
         
 !       therm_ini_s: (re)-set soil thermal inertia to reference surface values
@@ -1484,26 +1216,7 @@
 c       ------------------------------------------------
         else if (trim(modif) .eq. 'slab_ocean_0') then
-        write(*,*)'OK: initialisation of slab ocean' 
-
-      DO ig=1, ngridmx
-         rnat(ig)=1.
-         tslab(ig,1)=0.
-         tslab(ig,2)=0.
-         tsea_ice(ig)=0.
-         sea_ice(ig)=0.
-         pctsrf_sic(ig)=0.
-         
-         if(ithfi(ig,1).GT.10000.)then
-           rnat(ig)=0.
-           phisfi(ig)=0.
-           tsea_ice(ig)=273.15-1.8
-           tslab(ig,1)=tsurf(ig)
-           tslab(ig,2)=tsurf(ig)!*2./3.+(273.15-1.8)/3.
-          endif
-
-      ENDDO
-          CALL gr_fi_dyn(1,ngridmx,iip1,jjp1,phisfi,phis)
-
-
+        
+           write(*,*) "No ocean yet on Titan ! Can't use this option"
+           stop
 
         else
@@ -1517,28 +1230,5 @@
  999  continue
 
- 
-c=======================================================================
-c   Initialisation for cloud fraction and oceanic ice (added by BC 2010)
-c=======================================================================
-      DO ig=1, ngridmx
-         totalfrac(ig)=0.5
-         DO l=1,llm
-            cloudfrac(ig,l)=0.5
-         ENDDO
-! Ehouarn, march 2012: also add some initialisation for hice
-         hice(ig)=0.0
-      ENDDO
       
-c========================================================
-
-!      DO ig=1,ngridmx
-!         IF(tsurf(ig) .LT. 273.16-1.8) THEN
-!            hice(ig)=(273.16-1.8-tsurf(ig))/(273.16-1.8-240)*1.
-!            hice(ig)=min(hice(ig),1.0)
-!         ENDIF
-!      ENDDO
-
-
-
 
 c=======================================================================
@@ -1647,7 +1337,5 @@
       call physdem1("restartfi.nc",nsoilmx,ngridmx,llm,nqtot,
      &                dtphys,real(day_ini),
-     &                tsurf,tsoil,emis,q2,qsurf,
-     &                cloudfrac,totalfrac,hice,
-     &                rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
+     &                tsurf,tsoil,emis,q2,qsurf)
 
 c=======================================================================
Index: /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/start2archive.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/start2archive.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/start2archive.F	(revision 1647)
@@ -25,5 +25,4 @@
 !      use control_mod
 !      use comgeomphy, only: initcomgeomphy
-      use slab_ice_h, only: noceanmx
 ! to use  'getin'
       USE ioipsl_getincom
@@ -31,5 +30,4 @@
       USE mod_const_mpi, ONLY: COMM_LMDZ
       USE control_mod, only: planet_type
-      USE callkeys_mod, ONLY: ok_slab_ocean
       use filtreg_mod, only: inifilr
       USE comvert_mod, ONLY: ap,bp
@@ -72,5 +70,4 @@
       REAL tsurf(ngridmx)        ! Surface temperature
       REAL,ALLOCATABLE :: tsoil(:,:) ! Soil temperature
-      REAL co2ice(ngridmx)        ! CO2 ice layer
       REAL q2(ngridmx,llm+1)
       REAL,ALLOCATABLE :: qsurf(:,:)
@@ -82,12 +79,4 @@
       INTEGER*4 day_ini_fi
 
-!     added by FF for cloud fraction setup
-      REAL hice(ngridmx)
-      REAL cloudfrac(ngridmx,llm),totalcloudfrac(ngridmx)
-
-!     added by BC for slab ocean
-      REAL rnat(ngridmx),pctsrf_sic(ngridmx),sea_ice(ngridmx)
-      REAL tslab(ngridmx,noceanmx),tsea_ice(ngridmx)
-
 
 c Variable naturelle / grille scalaire
@@ -97,16 +86,7 @@
       REAL,ALLOCATABLE :: tsoilS(:,:)
       REAL,ALLOCATABLE :: ithS(:,:) ! Soil Thermal Inertia
-      REAL co2iceS(ip1jmp1)
       REAL q2S(ip1jmp1,llm+1)
       REAL,ALLOCATABLE :: qsurfS(:,:)
       REAL emisS(ip1jmp1)
-
-!     added by FF for cloud fraction setup
-      REAL hiceS(ip1jmp1)
-      REAL cloudfracS(ip1jmp1,llm),totalcloudfracS(ip1jmp1)
-
-!     added by BC for slab ocean
-      REAL rnatS(ip1jmp1),pctsrf_sicS(ip1jmp1),sea_iceS(ip1jmp1)
-      REAL tslabS(ip1jmp1,noceanmx),tsea_iceS(ip1jmp1)
 
 
@@ -120,5 +100,5 @@
       INTEGER Lmodif
 
-      REAL ptotal, co2icetotal
+      REAL ptotal
       REAL timedyn,timefi !fraction du jour dans start, startfi
       REAL date
@@ -236,10 +216,5 @@
       CALL phyetat0 (ngridmx,llm,fichnom,0,Lmodif,nsoilmx,nqtot,
      .      day_ini_fi,timefi,
-     .      tsurf,tsoil,emis,q2,qsurf,
-!       change FF 05/2011
-     .       cloudfrac,totalcloudfrac,hice,
-!       change BC 05/2014
-     .       rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
-
+     .      tsurf,tsoil,emis,q2,qsurf)
 
 
@@ -328,5 +303,4 @@
 c
 c tsurf --> tsurfS
-c co2ice --> co2iceS
 c tsoil --> tsoilS
 c emis --> emisS
@@ -337,5 +311,4 @@
 
       call gr_fi_dyn(1,ngridmx,iip1,jjp1,tsurf,tsurfS)
-!      call gr_fi_dyn(1,ngridmx,iip1,jjp1,co2ice,co2iceS)
       call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,tsoil,tsoilS)
       ! Note: thermal inertia "inertiedat" is in comsoil.h
@@ -344,13 +317,4 @@
       call gr_fi_dyn(llm+1,ngridmx,iip1,jjp1,q2,q2S)
       call gr_fi_dyn(nqtot,ngridmx,iip1,jjp1,qsurf,qsurfS)
-      call gr_fi_dyn(llm,ngridmx,iip1,jjp1,cloudfrac,cloudfracS)
-      call gr_fi_dyn(1,ngridmx,iip1,jjp1,hice,hiceS)
-      call gr_fi_dyn(1,ngridmx,iip1,jjp1,totalcloudfrac,totalcloudfracS)
-
-      call gr_fi_dyn(1,ngridmx,iip1,jjp1,rnat,rnatS)
-      call gr_fi_dyn(1,ngridmx,iip1,jjp1,pctsrf_sic,pctsrf_sicS)
-      call gr_fi_dyn(1,ngridmx,iip1,jjp1,tsea_ice,tsea_iceS)
-      call gr_fi_dyn(1,ngridmx,iip1,jjp1,sea_ice,sea_iceS)
-      call gr_fi_dyn(noceanmx,ngridmx,iip1,jjp1,tslab,tslabS)
 
 c=======================================================================
@@ -359,21 +323,17 @@
 
       ptotal =  0.
-      co2icetotal = 0.
       DO j=1,jjp1
          DO i=1,iim
            ptotal=ptotal+aire(i+(iim+1)*(j-1))*ps(i+(iim+1)*(j-1))/g
-!           co2icetotal = co2icetotal + 
-!     &            co2iceS(i+(iim+1)*(j-1))*aire(i+(iim+1)*(j-1))
          ENDDO
       ENDDO
       write(*,*)'Ancienne grille : masse de l''atm :',ptotal
-!      write(*,*)'Ancienne grille : masse de la glace CO2 :',co2icetotal
-
-c-----------------------------------------------------------------------
-c Passage de "ptotal" et "co2icetotal" par tab_cntrl_fi
+
+c-----------------------------------------------------------------------
+c Passage de "ptotal"  par tab_cntrl_fi
 c-----------------------------------------------------------------------
 
       tab_cntrl_fi(49) = ptotal
-      tab_cntrl_fi(50) = co2icetotal
+      tab_cntrl_fi(50) = 0.
 
 c=======================================================================
@@ -430,5 +390,5 @@
 
 c-----------------------------------------------------------------------
-c Ecriture des champs  (co2ice,emis,ps,Tsurf,T,u,v,q2,q,qsurf)
+c Ecriture des champs  (emis,ps,Tsurf,T,u,v,q2,q,qsurf)
 c-----------------------------------------------------------------------
 c ATTENTION: q2 a une couche de plus!!!!
@@ -439,6 +399,4 @@
 c-----------------------------------------------------------------------
 
-!      call write_archive(nid,ntime,'co2ice','couche de glace co2',
-!     &  'kg/m2',2,co2iceS)
       call write_archive(nid,ntime,'emis','grd emis',' ',2,emisS)
       call write_archive(nid,ntime,'ps','Psurf','Pa',2,ps)
@@ -497,43 +455,5 @@
 ! Note: no need to write volcapa, it is stored in "controle" table
 
-c-----------------------------------------------------------------------
-c Ecriture du champs  cloudfrac,hice,totalcloudfrac
-c-----------------------------------------------------------------------
-      call write_archive(nid,ntime,'hice',
-     &         'Height of oceanic ice','m',2,hiceS)
-      call write_archive(nid,ntime,'totalcloudfrac',
-     &        'Total cloud Fraction','',2,totalcloudfracS)
-      call write_archive(nid,ntime,'cloudfrac'
-     &        ,'Cloud fraction','',3,cloudfracS)
-
-c-----------------------------------------------------------------------
-c Slab ocean
-c-----------------------------------------------------------------------
-      OPEN(99,file='callphys.def',status='old',form='formatted'
-     &     ,iostat=ierr)
-      CLOSE(99)
-
-      IF(ierr.EQ.0) THEN
-
-
-         write(*,*) "Use slab-ocean ?"
-         ok_slab_ocean=.false.         ! default value
-         call getin("ok_slab_ocean",ok_slab_ocean)
-         write(*,*) "ok_slab_ocean = ",ok_slab_ocean
-
-      if(ok_slab_ocean) then
-      call write_archive(nid,ntime,'rnat'
-     &        ,'rnat','',2,rnatS)
-      call write_archive(nid,ntime,'pctsrf_sic'
-     &        ,'pctsrf_sic','',2,pctsrf_sicS)
-      call write_archive(nid,ntime,'sea_ice'
-     &        ,'sea_ice','',2,sea_iceS)
-      call write_archive(nid,ntime,'tslab'
-     &        ,'tslab','',-2,tslabS)
-      call write_archive(nid,ntime,'tsea_ice'
-     &        ,'tsea_ice','',2,tsea_iceS)
-      endif !ok_slab_ocean
-      ENDIF
-c-----------------------------------------------------------------------
+
 c Fin 
 c-----------------------------------------------------------------------
Index: /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/write_archive.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/write_archive.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/write_archive.F	(revision 1647)
@@ -33,5 +33,4 @@
 
       use comsoil_h, only: nsoilmx
-      use slab_ice_h, only: noceanmx
 
       implicit none
@@ -195,5 +194,5 @@
         edges(1)=iip1
         edges(2)=jjp1
-        edges(3)=noceanmx
+        edges(3)=1 ! JVO2017 : was noceanmx before -> set to 1
         edges(4)=1
 #ifdef NC_DOUBLE
